Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::TextAnimationLoader Class Reference

テキストアニメーションローダ More...

`#include <TextAnimationLoader.h>`

List of all members.

## Public Member Functions
| TextAnimationLoader ()
| コンストラクタ
virtual | ~TextAnimationLoader ()
| デストラクタ
virtual void | load (const String &filePath, AnimationManager *manager)
| ロード
virtual void | load (TextReader *textReader, AnimationManager *manager)
| ロード
## Protected Member Functions
virtual void | readHeader ()
| ヘッダの読み込み
virtual void | readAnimationSetList ()
| アニメーションセットリストの読み込み
virtual void | readAnimationSet (const String &name)
| アニメーションセットの読み込み
virtual void | readCameraAnimation (const String &name)
| カメラアニメーションの読み込み
virtual void | readCameraAnimationData (const String &name)
| カメラアニメーションデータの読み込み
virtual void | readSceneNodeAnimation (const String &name)
| シーンノードアニメーションの読み込み
virtual void | readSceneNodeAnimationData (const String &name)
| シーンノードアニメーションデータの読み込み
virtual void | readCharacterModelAnimation (const String &name)
| キャラクタモデルアニメーションの読み込み
virtual void | readCharacterModelAnimationData (const String &name)
| キャラクタモデルアニメーションデータの読み込み
virtual void | readAnimationSetLinkList ()
| アニメーションセットリンクリストの読み込み
virtual void | readAnimationSetLink (const String &name)
| アニメーションセットリンクの読み込み
virtual void | readCameraLinkList ()
| カメラアニメーションリンクリスト読み込み
virtual void | readSceneNodeLinkList ()
| シーンノードアニメーションリンクリスト読み込み
virtual void | readCharacterModelLinkList ()
| キャラクタモデルアニメーションリンクリスト読み込み
virtual bool | readBool ()
| bool値の読み込み
virtual int | readInt ()
| int値の読み込み
virtual float | readFloat ()
| float値の読み込み
virtual Vector3 | readVector3 ()
| Vector3値の読み込み.
virtual Quaternion | readQuaternion ()
| Quaternion値の読み込み.
virtual VectorInterpolator * | readVectorInterpolator ()
| ベクトル補間の読み込み
virtual VectorInterpolator * | readVectorConstantInterpolator ()
| ベクトル定数補間の読み込み
virtual VectorInterpolator * | readVectorArrayInterpolator ()
| ベクトル配列補間の読み込み
virtual VectorInterpolator * | readVectorLinearInterpolator ()
| ベクトル線形補間の読み込み
virtual RotationInterpolator * | readRotationInterpolator ()
| 回転補間の読み込み
virtual RotationInterpolator * | readRotationConstantInterpolator ()
| 回転定数補間の読み込み
virtual RotationInterpolator * | readEulerArrayInterpolator ()
| オイラー回転配列補間の読み込み
virtual RotationInterpolator * | readQuaternionArrayInterpolator ()
| 四元数回転配列補間の読み込み
virtual RotationInterpolator * | readQuaternionLinearInterpolator ()
| 四元数回転線形補間の読み込み
virtual String | readToken (const String &caller)
| トークンの読み込み
virtual void | skipWord (const String &word)
| 指定ワードの読み飛ばし
virtual void | openChunk ()
| チャンクを開く
virtual void | closeChunk ()
| チャンクを閉じる
## Protected Attributes
StreamTokenizer * | tokenizer_
| トークナイザ
AnimationManager * | manager_
| アニメーションマネージャ

## Detailed Description

テキストアニメーションローダ

Definition at line 40 of file TextAnimationLoader.h.

## Member Function Documentation

void Lamp::TextAnimationLoader::load | ( | TextReader * | textReader,
|  | AnimationManager * | manager
| ) | `[virtual]`

  | ロード Parameters:
  textReader | テキストリーダ
  manager | ロード先アニメーションマネージャ
Definition at line 66 of file TextAnimationLoader.cpp. References ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), Lamp::StreamTokenizer::getToken(), manager_, Lamp::StreamTokenizer::nextToken(), openChunk(), readAnimationSetLinkList(), readAnimationSetList(), readCameraAnimation(), readCameraAnimationData(), readCameraLinkList(), readCharacterModelAnimation(), readCharacterModelAnimationData(), readCharacterModelLinkList(), readHeader(), readSceneNodeAnimation(), readSceneNodeAnimationData(), readSceneNodeLinkList(), readToken(), and tokenizer_.

void Lamp::TextAnimationLoader::load | ( | const String & | filePath,
|  | AnimationManager * | manager
| ) | `[virtual]`

  | ロード Parameters:
  filePath | ファイルパス
  manager | ロード先アニメーションマネージャ
Definition at line 56 of file TextAnimationLoader.cpp. References Assert, and Lamp::FilePath::existFile(). Referenced by Lamp::SceneFramework::loadScene().

void Lamp::TextAnimationLoader::readAnimationSet | ( | const String & | name | ) | `[protected, virtual]`

  | アニメーションセットの読み込み Parameters:
  name | 名前
Definition at line 169 of file TextAnimationLoader.cpp. References closeChunk(), Lamp::AnimationManager::createAnimationSet(), manager_, openChunk(), readBool(), Lamp::Animation::setEnabled(), and skipWord(). Referenced by readAnimationSetList().

void Lamp::TextAnimationLoader::readAnimationSetLink | ( | const String & | name | ) | `[protected, virtual]`

  | アニメーションセットリンクの読み込み Parameters:
  name | 名前
Definition at line 338 of file TextAnimationLoader.cpp. References Lamp::AnimationSet::addAnimation(), Lamp::Animation::castAnimationSet(), ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), manager_, NULL, openChunk(), readToken(), Lamp::AnimationManager::search(), and tokenizer_. Referenced by readAnimationSetLinkList().

bool Lamp::TextAnimationLoader::readBool | ( |  | ) | `[protected, virtual]`

| bool値の読み込み Returns: bool値 Definition at line 482 of file TextAnimationLoader.cpp. References ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), readToken(), and tokenizer_. Referenced by readAnimationSet(), readCameraAnimation(), readCameraAnimationData(), readCharacterModelAnimation(), readCharacterModelAnimationData(), readSceneNodeAnimation(), and readSceneNodeAnimationData().

void Lamp::TextAnimationLoader::readCameraAnimation | ( | const String & | name | ) | `[protected, virtual]`

  | カメラアニメーションの読み込み Parameters:
  name | 名前
Definition at line 181 of file TextAnimationLoader.cpp. References closeChunk(), Lamp::AnimationManager::createCamera(), manager_, openChunk(), readBool(), readToken(), Lamp::Animation::setEnabled(), Lamp::ObjectAnimation::setTargetName(), and skipWord(). Referenced by load().

void Lamp::TextAnimationLoader::readCameraAnimationData | ( | const String & | name | ) | `[protected, virtual]`

  | カメラアニメーションデータの読み込み Parameters:
  name | 名前
Definition at line 194 of file TextAnimationLoader.cpp. References Assert, closeChunk(), Lamp::AnimationManager::createCameraData(), manager_, openChunk(), readBool(), readInt(), readRotationInterpolator(), readVectorInterpolator(), Lamp::AnimationData::setLooped(), Lamp::CameraAnimationData::setRotation(), Lamp::CameraAnimationData::setSequenceCount(), Lamp::CameraAnimationData::setTranslation(), and skipWord(). Referenced by load().

void Lamp::TextAnimationLoader::readCharacterModelAnimation | ( | const String & | name | ) | `[protected, virtual]`

  | キャラクタモデルアニメーションの読み込み Parameters:
  name | 名前
Definition at line 265 of file TextAnimationLoader.cpp. References closeChunk(), Lamp::AnimationManager::createCharacterModel(), manager_, openChunk(), readBool(), readInt(), readToken(), Lamp::CharacterModelAnimation::setBoneCount(), Lamp::CharacterModelAnimation::setBoneName(), Lamp::Animation::setEnabled(), Lamp::ObjectAnimation::setTargetName(), and skipWord(). Referenced by load().

void Lamp::TextAnimationLoader::readCharacterModelAnimationData | ( | const String & | name | ) | `[protected, virtual]`

  | キャラクタモデルアニメーションデータの読み込み Parameters:
  name | 名前
Definition at line 286 of file TextAnimationLoader.cpp. References Assert, closeChunk(), Lamp::AnimationManager::createCharacterModelData(), manager_, openChunk(), readBool(), readInt(), readRotationInterpolator(), readVectorInterpolator(), Lamp::CharacterModelAnimationData::setBoneCount(), Lamp::AnimationData::setLooped(), Lamp::CharacterModelAnimationData::setRotation(), Lamp::CharacterModelAnimationData::setScale(), Lamp::CharacterModelAnimationData::setSequenceCount(), Lamp::CharacterModelAnimationData::setTranslation(), and skipWord(). Referenced by load().

RotationInterpolator * Lamp::TextAnimationLoader::readEulerArrayInterpolator | ( |  | ) | `[protected, virtual]`

| オイラー回転配列補間の読み込み Returns: オイラー回転配列補間 Definition at line 663 of file TextAnimationLoader.cpp. References closeChunk(), openChunk(), readInt(), readVector3(), Lamp::EulerArrayInterpolator::setSize(), Lamp::EulerArrayInterpolator::setValue(), and skipWord(). Referenced by readRotationInterpolator().

float Lamp::TextAnimationLoader::readFloat | ( |  | ) | `[protected, virtual]`

| float値の読み込み Returns: float値 Definition at line 504 of file TextAnimationLoader.cpp. References ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), Lamp::String::parseFloat(), readToken(), and tokenizer_. Referenced by readQuaternion(), readQuaternionLinearInterpolator(), readRotationConstantInterpolator(), readVector3(), readVectorConstantInterpolator(), and readVectorLinearInterpolator().

int Lamp::TextAnimationLoader::readInt | ( |  | ) | `[protected, virtual]`

| int値の読み込み Returns: int値 Definition at line 492 of file TextAnimationLoader.cpp. References ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), Lamp::String::parseInt(), readToken(), and tokenizer_. Referenced by readCameraAnimationData(), readCharacterModelAnimation(), readCharacterModelAnimationData(), readEulerArrayInterpolator(), readQuaternionArrayInterpolator(), readQuaternionLinearInterpolator(), readSceneNodeAnimationData(), readVectorArrayInterpolator(), and readVectorLinearInterpolator().

Quaternion Lamp::TextAnimationLoader::readQuaternion | ( |  | ) | `[protected, virtual]`

| Quaternion値の読み込み. Returns: Quaternion値 Definition at line 527 of file TextAnimationLoader.cpp. References closeChunk(), openChunk(), readFloat(), Lamp::Quaternion::w, Lamp::Quaternion::x, Lamp::Quaternion::y, and Lamp::Quaternion::z. Referenced by readQuaternionArrayInterpolator(), readQuaternionLinearInterpolator(), and readRotationConstantInterpolator().

RotationInterpolator * Lamp::TextAnimationLoader::readQuaternionArrayInterpolator | ( |  | ) | `[protected, virtual]`

| 四元数回転配列補間の読み込み Returns: 四元数回転配列補間 Definition at line 677 of file TextAnimationLoader.cpp. References closeChunk(), openChunk(), readInt(), readQuaternion(), Lamp::QuaternionArrayInterpolator::setSize(), Lamp::QuaternionArrayInterpolator::setValue(), and skipWord(). Referenced by readRotationInterpolator().

RotationInterpolator * Lamp::TextAnimationLoader::readQuaternionLinearInterpolator | ( |  | ) | `[protected, virtual]`

| 四元数回転線形補間の読み込み Returns: 四元数回転線形補間 Definition at line 693 of file TextAnimationLoader.cpp. References closeChunk(), openChunk(), readFloat(), readInt(), readQuaternion(), Lamp::QuaternionLinearInterpolator::setKey(), Lamp::QuaternionLinearInterpolator::setKeyCount(), and skipWord(). Referenced by readRotationInterpolator().

RotationInterpolator * Lamp::TextAnimationLoader::readRotationConstantInterpolator | ( |  | ) | `[protected, virtual]`

| 回転定数補間の読み込み Returns: 回転定数補間 Definition at line 643 of file TextAnimationLoader.cpp. References closeChunk(), Lamp::String::equals(), ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), readFloat(), readQuaternion(), readToken(), readVector3(), Lamp::RotationConstantInterpolator::setEuler(), Lamp::RotationConstantInterpolator::setLength(), Lamp::RotationConstantInterpolator::setQuaternion(), skipWord(), and tokenizer_. Referenced by readRotationInterpolator().

RotationInterpolator * Lamp::TextAnimationLoader::readRotationInterpolator | ( |  | ) | `[protected, virtual]`

| 回転補間の読み込み Returns: 回転補間 Definition at line 612 of file TextAnimationLoader.cpp. References Lamp::String::equals(), ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), NULL, readEulerArrayInterpolator(), readQuaternionArrayInterpolator(), readQuaternionLinearInterpolator(), readRotationConstantInterpolator(), readToken(), skipWord(), and tokenizer_. Referenced by readCameraAnimationData(), readCharacterModelAnimationData(), and readSceneNodeAnimationData().

void Lamp::TextAnimationLoader::readSceneNodeAnimation | ( | const String & | name | ) | `[protected, virtual]`

  | シーンノードアニメーションの読み込み Parameters:
  name | 名前
Definition at line 222 of file TextAnimationLoader.cpp. References closeChunk(), Lamp::AnimationManager::createSceneNode(), manager_, openChunk(), readBool(), readToken(), Lamp::Animation::setEnabled(), Lamp::ObjectAnimation::setTargetName(), and skipWord(). Referenced by load().

void Lamp::TextAnimationLoader::readSceneNodeAnimationData | ( | const String & | name | ) | `[protected, virtual]`

  | シーンノードアニメーションデータの読み込み Parameters:
  name | 名前
Definition at line 234 of file TextAnimationLoader.cpp. References Assert, closeChunk(), Lamp::AnimationManager::createSceneNodeData(), manager_, openChunk(), readBool(), readInt(), readRotationInterpolator(), readVectorInterpolator(), Lamp::AnimationData::setLooped(), Lamp::SceneNodeAnimationData::setRotation(), Lamp::SceneNodeAnimationData::setScale(), Lamp::SceneNodeAnimationData::setSequenceCount(), Lamp::SceneNodeAnimationData::setTranslation(), and skipWord(). Referenced by load().

String Lamp::TextAnimationLoader::readToken | ( | const String & | caller | ) | `[protected, virtual]`

  | トークンの読み込み Parameters:
  caller | 呼び出し元
Definition at line 712 of file TextAnimationLoader.cpp. References ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), Lamp::StreamTokenizer::getToken(), Lamp::StreamTokenizer::nextToken(), and tokenizer_. Referenced by load(), readAnimationSetLink(), readAnimationSetLinkList(), readAnimationSetList(), readBool(), readCameraAnimation(), readCameraLinkList(), readCharacterModelAnimation(), readCharacterModelLinkList(), readFloat(), readInt(), readRotationConstantInterpolator(), readRotationInterpolator(), readSceneNodeAnimation(), readSceneNodeLinkList(), readVectorInterpolator(), and skipWord().

Vector3 Lamp::TextAnimationLoader::readVector3 | ( |  | ) | `[protected, virtual]`

| Vector3値の読み込み. Returns: Vector3値 Definition at line 516 of file TextAnimationLoader.cpp. References closeChunk(), openChunk(), readFloat(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by readEulerArrayInterpolator(), readRotationConstantInterpolator(), readVectorArrayInterpolator(), readVectorConstantInterpolator(), and readVectorLinearInterpolator().

VectorInterpolator * Lamp::TextAnimationLoader::readVectorArrayInterpolator | ( |  | ) | `[protected, virtual]`

| ベクトル配列補間の読み込み Returns: ベクトル配列補間 Definition at line 581 of file TextAnimationLoader.cpp. References closeChunk(), openChunk(), readInt(), readVector3(), Lamp::VectorArrayInterpolator::setSize(), Lamp::VectorArrayInterpolator::setValue(), and skipWord(). Referenced by readVectorInterpolator().

VectorInterpolator * Lamp::TextAnimationLoader::readVectorConstantInterpolator | ( |  | ) | `[protected, virtual]`

| ベクトル定数補間の読み込み Returns: ベクトル定数補間 Definition at line 570 of file TextAnimationLoader.cpp. References closeChunk(), readFloat(), readVector3(), Lamp::VectorConstantInterpolator::setLength(), Lamp::VectorConstantInterpolator::setValue(), and skipWord(). Referenced by readVectorInterpolator().

VectorInterpolator * Lamp::TextAnimationLoader::readVectorInterpolator | ( |  | ) | `[protected, virtual]`

| ベクトル補間の読み込み Returns: ベクトル補間 Definition at line 541 of file TextAnimationLoader.cpp. References Lamp::String::equals(), ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), NULL, readToken(), readVectorArrayInterpolator(), readVectorConstantInterpolator(), readVectorLinearInterpolator(), skipWord(), and tokenizer_. Referenced by readCameraAnimationData(), readCharacterModelAnimationData(), and readSceneNodeAnimationData().

VectorInterpolator * Lamp::TextAnimationLoader::readVectorLinearInterpolator | ( |  | ) | `[protected, virtual]`

| ベクトル線形補間の読み込み Returns: ベクトル線形補間 Definition at line 594 of file TextAnimationLoader.cpp. References closeChunk(), openChunk(), readFloat(), readInt(), readVector3(), Lamp::VectorLinearInterpolator::setKey(), Lamp::VectorLinearInterpolator::setKeyCount(), and skipWord(). Referenced by readVectorInterpolator().

void Lamp::TextAnimationLoader::skipWord | ( | const String & | word | ) | `[protected, virtual]`

  | 指定ワードの読み飛ばし Parameters:
  word | 読み飛ばすワード
Definition at line 722 of file TextAnimationLoader.cpp. References ErrorOut, Lamp::String::getBytes(), Lamp::StreamTokenizer::getLineNumber(), readToken(), and tokenizer_. Referenced by closeChunk(), openChunk(), readAnimationSet(), readCameraAnimation(), readCameraAnimationData(), readCharacterModelAnimation(), readCharacterModelAnimationData(), readEulerArrayInterpolator(), readHeader(), readQuaternionArrayInterpolator(), readQuaternionLinearInterpolator(), readRotationConstantInterpolator(), readRotationInterpolator(), readSceneNodeAnimation(), readSceneNodeAnimationData(), readVectorArrayInterpolator(), readVectorConstantInterpolator(), readVectorInterpolator(), and readVectorLinearInterpolator().

The documentation for this class was generated from the following files:

- TextAnimationLoader.h
- TextAnimationLoader.cpp